function AddActorType( type, area, scratchSizeMaster, scratchSizeInstance, textureSizeMaster, textureSizeInstance, unloadableWhenInactive, unloadableWhenActive, loadWeightMaster, loadWeightInstance, unloadWeightMaster, unloadWeightInstance )
	local data =
	{
		ActorType = type,
		AreaType = area,
		ScratchSizeMaster = scratchSizeMaster,
		ScratchSizeInstance = scratchSizeInstance,
		TextureSizeMaster = textureSizeMaster,
		TextureSizeInstance = textureSizeInstance,
		UnloadableWhenInactive = unloadableWhenInactive,
		UnloadableWhenActive = unloadableWhenActive,
		LoadWeightMaster = loadWeightMaster,
		LoadWeightInstance = loadWeightInstance,
		UnloadWeightMaster = unloadWeightMaster,
		UnloadWeightInstance = unloadWeightInstance,
	}

	return data
end

Data =
{
	win32 =
	{
		ScratchHeapTargetSize = 35.0,
		ScratchHeapMinLargestFreeBlockSize = 5.0,
		TextureHeapTargetSize = 40.0,
		TextureHeapMinLargestFreeBlockSize = 10.0,
		AreaStackLoadedActorMaxDepth = 3,
		TypeWeights =
		{
			-- IMPORTANT! when the above target sizes are exceeded, the system will
			-- attempt to unload actors in the order they are added below. -dmh.
			AddActorType( "Mod_HauntedHouse",	"WT_Mod_HauntedHouse",		0, 0, 0, 0, true, false, 15, 0, 5, 0 ),
			AddActorType( "Mod_SpacePort",		"WT_Mod_SpacePort",			0, 0, 0, 0, true, false, 15, 0, 5, 0 ),
			AddActorType( "Mod_EnchantedGlen",	"WT_Mod_EnchantedGlen",		0, 0, 0, 0, true, false, 15, 0, 5, 0 ),
			AddActorType( "Mod_StuntPark",		"WT_Mod_StuntPark",			0, 0, 0, 0, true, false, 15, 0, 5, 0 ),
			AddActorType( "Mod_SkatePark",		"WT_Mod_SkatePark",			0, 0, 0, 0, true, false, 15, 0, 5, 0 ),

			AddActorType( "Mod_Ghost",			"WT_Mod_HauntedHouse",		200, 100, 200, 0, true, true, 2, 1, 1, 1 ),
			AddActorType( "Mod_MiniUFO",		"WT_Town",					200, 100, 100, 0, false, false, 2, 1, 1, 1 ),
			AddActorType( "WT_Fairy",			"WT_Mod_EnchantedGlen",		800, 100, 200, 0, true, true, 2, 1, 1, 1 ),
			AddActorType( "WT_Gargoyle",		"WT_Mod_HauntedHouse",		300, 100, 200, 0, true, true, 2, 1, 1, 1 ),
			AddActorType( "WT_Bendito",			"WT_Town",					6000, 100, 1000, 0, false, false, 2, 1, 1, 1 ),
			AddActorType( "WT_Pet",				"WT_Town",					200, 100, 200, 0, false, false, 2, 1, 1, 1 ),
			AddActorType( "WT_Slime",			"WT_Town",					500, 100, 500, 0, true, true, 2, 1, 1, 1 ),

			AddActorType( "VH_Corvette",		"WT_Town",					200, 100, 200, 200, false, false, 4, 2, 1, 1 ),
			AddActorType( "VH_MiniCorvette",	"WT_Town",					200, 100, 200, 200, false, false, 4, 2, 1, 1 ),
			AddActorType( "VH_MonsterCorvette",	"WT_Town",					200, 100, 200, 200, false, false, 4, 2, 1, 1 ),
			AddActorType( "VH_RallyCar",		"WT_Town",					200, 100, 200, 200, false, false, 4, 2, 1, 1 ),
			AddActorType( "VH_MiniRallyCar",	"WT_Town",					200, 100, 200, 200, false, false, 4, 2, 1, 1 ),
			AddActorType( "VH_MonsterRallyCar",	"WT_Town",					200, 100, 200, 200, false, false, 4, 2, 1, 1 ),
			AddActorType( "VH_ZurgCar",			"WT_Town",					200, 100, 200, 200, false, false, 4, 2, 1, 1 ),

			AddActorType( "MG_Any",				"WT_Town",					1500, 1500, 500, 500, false, false, 4, 2, 1, 1 ),

			AddActorType( "WT_Bullseye",		"WT_Town",					1000, 100, 500, 200, false, false, 3, 1, 1, 1 ),
			AddActorType( "WT_Dragon",			"WT_Town",					1000, 100, 500, 200, false, false, 3, 1, 1, 1 ),

			AddActorType( "WT_SlimeSpawner",	"WT_Town",					200, 100, 200, 200, false, false, 2, 1, 1, 1 ),
			AddActorType( "WT_Cow",				"WT_Town",					1000, 100, 400, 200, false, false, 2, 1, 1, 1 ),
			AddActorType( "WT_TownPerson",		"WT_Town",					1000, 100, 200, 200, false, false, 2, 1, 1, 1 ),
			--AddActorType( "BL_Building",		"WT_Town",					200, 100, 1000, 1000, false, false, 7, 7, 1, 1 ),
		},
	},
	xb360 =
	{
		ScratchHeapTargetSize = 35.0,
		ScratchHeapMinLargestFreeBlockSize = 5.0,
		TextureHeapTargetSize = 40.0,
		TextureHeapMinLargestFreeBlockSize = 20.0,
		AreaStackLoadedActorMaxDepth = 3,
		TypeWeights =
		{
			-- IMPORTANT! when the above target sizes are exceeded, the system will
			-- attempt to unload actors in the order they are added below. -dmh.
			AddActorType( "Mod_HauntedHouse",	"WT_Mod_HauntedHouse",		0, 0, 0, 0, true, false, 15, 0, 5, 0 ),
			AddActorType( "Mod_SpacePort",		"WT_Mod_SpacePort",			0, 0, 0, 0, true, false, 15, 0, 5, 0 ),
			AddActorType( "Mod_EnchantedGlen",	"WT_Mod_EnchantedGlen",		0, 0, 0, 0, true, false, 15, 0, 5, 0 ),
			AddActorType( "Mod_StuntPark",		"WT_Mod_StuntPark",			0, 0, 0, 0, true, false, 15, 0, 5, 0 ),
			AddActorType( "Mod_SkatePark",		"WT_Mod_SkatePark",			0, 0, 0, 0, true, false, 15, 0, 5, 0 ),

			AddActorType( "Mod_Ghost",			"WT_Mod_HauntedHouse",		200, 100, 200, 0, true, true, 2, 1, 1, 1 ),
			AddActorType( "Mod_MiniUFO",		"WT_Town",					200, 100, 100, 0, false, false, 2, 1, 1, 1 ),
			AddActorType( "WT_Fairy",			"WT_Mod_EnchantedGlen",		800, 100, 200, 0, true, true, 2, 1, 1, 1 ),
			AddActorType( "WT_Gargoyle",		"WT_Mod_HauntedHouse",		300, 100, 200, 0, true, true, 2, 1, 1, 1 ),
			AddActorType( "WT_Bendito",			"WT_Town",					6000, 100, 1000, 0, false, false, 2, 1, 1, 1 ),
			AddActorType( "WT_Pet",				"WT_Town",					200, 100, 200, 0, false, false, 2, 1, 1, 1 ),
			AddActorType( "WT_Slime",			"WT_Town",					500, 100, 500, 0, true, true, 2, 1, 1, 1 ),

			AddActorType( "VH_Corvette",		"WT_Town",					200, 100, 200, 200, false, false, 4, 2, 1, 1 ),
			AddActorType( "VH_MiniCorvette",	"WT_Town",					200, 100, 200, 200, false, false, 4, 2, 1, 1 ),
			AddActorType( "VH_MonsterCorvette",	"WT_Town",					200, 100, 200, 200, false, false, 4, 2, 1, 1 ),
			AddActorType( "VH_RallyCar",		"WT_Town",					200, 100, 200, 200, false, false, 4, 2, 1, 1 ),
			AddActorType( "VH_MiniRallyCar",	"WT_Town",					200, 100, 200, 200, false, false, 4, 2, 1, 1 ),
			AddActorType( "VH_MonsterRallyCar",	"WT_Town",					200, 100, 200, 200, false, false, 4, 2, 1, 1 ),
			AddActorType( "VH_ZurgCar",			"WT_Town",					200, 100, 200, 200, false, false, 4, 2, 1, 1 ),

			AddActorType( "MG_Any",				"WT_Town",					1500, 1500, 500, 500, false, false, 4, 2, 1, 1 ),

			AddActorType( "WT_Bullseye",		"WT_Town",					1000, 100, 500, 200, false, false, 3, 1, 1, 1 ),
			AddActorType( "WT_Dragon",			"WT_Town",					1000, 100, 500, 200, false, false, 3, 1, 1, 1 ),

			AddActorType( "WT_SlimeSpawner",	"WT_Town",					200, 100, 200, 200, false, false, 2, 1, 1, 1 ),
			AddActorType( "WT_Cow",				"WT_Town",					1000, 100, 400, 200, false, false, 2, 1, 1, 1 ),
			AddActorType( "WT_TownPerson",		"WT_Town",					1000, 100, 200, 200, false, false, 2, 1, 1, 1 ),
			--AddActorType( "BL_Building",		"WT_Town",					200, 100, 1000, 1000, false, false, 7, 7, 1, 1 ),
		},
	},
	ps3 =
	{
		ScratchHeapTargetSize = 35.0,
		ScratchHeapMinLargestFreeBlockSize = 1.0,	-- the PerformanceManager heap is smaller on the PS3 because it doesn't include geometry/textures, so this is smaller than 360
		TextureHeapTargetSize = 40.0,
		TextureHeapMinLargestFreeBlockSize = 10.0,
		AreaStackLoadedActorMaxDepth = 2,
		TypeWeights =
		{
			-- IMPORTANT! when the above target sizes are exceeded, the system will
			-- attempt to unload actors in the order they are added below. -dmh.
			AddActorType( "Mod_HauntedHouse",	"WT_Mod_HauntedHouse",		0, 0, 0, 0, true, false, 15, 0, 5, 0 ),
			AddActorType( "Mod_SpacePort",		"WT_Mod_SpacePort",			0, 0, 0, 0, true, false, 15, 0, 5, 0 ),
			AddActorType( "Mod_EnchantedGlen",	"WT_Mod_EnchantedGlen",		0, 0, 0, 0, true, false, 15, 0, 5, 0 ),
			AddActorType( "Mod_StuntPark",		"WT_Mod_StuntPark",			0, 0, 0, 0, true, false, 15, 0, 5, 0 ),
			AddActorType( "Mod_SkatePark",		"WT_Mod_SkatePark",			0, 0, 0, 0, true, false, 15, 0, 5, 0 ),

			AddActorType( "Mod_Ghost",			"WT_Mod_HauntedHouse",		200, 100, 200, 0, true, true, 2, 1, 1, 1 ),
			AddActorType( "Mod_MiniUFO",		"WT_Town",					200, 100, 100, 0, false, false, 2, 1, 1, 1 ),
			AddActorType( "WT_Fairy",			"WT_Mod_EnchantedGlen",		800, 100, 200, 0, true, true, 2, 1, 1, 1 ),
			AddActorType( "WT_Gargoyle",		"WT_Mod_HauntedHouse",		300, 100, 200, 0, true, true, 2, 1, 1, 1 ),
			AddActorType( "WT_Bendito",			"WT_Town",					6000, 100, 1000, 0, false, false, 2, 1, 1, 1 ),
			AddActorType( "WT_Pet",				"WT_Town",					200, 100, 200, 0, false, false, 2, 1, 1, 1 ),
			AddActorType( "WT_Slime",			"WT_Town",					500, 100, 500, 0, true, true, 2, 1, 1, 1 ),

			AddActorType( "VH_Corvette",		"WT_Town",					200, 100, 200, 200, false, false, 2, 2, 1, 1 ),
			AddActorType( "VH_MiniCorvette",	"WT_Town",					200, 100, 200, 200, false, false, 2, 2, 1, 1 ),
			AddActorType( "VH_MonsterCorvette",	"WT_Town",					200, 100, 200, 200, false, false, 2, 2, 1, 1 ),
			AddActorType( "VH_RallyCar",		"WT_Town",					200, 100, 200, 200, false, false, 2, 2, 1, 1 ),
			AddActorType( "VH_MiniRallyCar",	"WT_Town",					200, 100, 200, 200, false, false, 2, 2, 1, 1 ),
			AddActorType( "VH_MonsterRallyCar",	"WT_Town",					200, 100, 200, 200, false, false, 2, 2, 1, 1 ),
			AddActorType( "VH_ZurgCar",			"WT_Town",					200, 100, 200, 200, false, false, 2, 2, 1, 1 ),

			AddActorType( "MG_Any",				"WT_Town",					1500, 1500, 500, 500, false, false, 4, 2, 1, 1 ),

			AddActorType( "WT_Bullseye",		"WT_Town",					1000, 100, 500, 200, false, false, 3, 1, 1, 1 ),
			AddActorType( "WT_Dragon",			"WT_Town",					1000, 100, 500, 200, false, false, 3, 1, 1, 1 ),

			AddActorType( "WT_SlimeSpawner",	"WT_Town",					200, 100, 200, 200, false, false, 2, 1, 1, 1 ),
			AddActorType( "WT_Cow",				"WT_Town",					1000, 100, 400, 200, false, false, 2, 1, 1, 1 ),
			AddActorType( "WT_TownPerson",		"WT_Town",					1000, 100, 200, 200, false, false, 2, 1, 1, 1 ),
			--AddActorType( "BL_Building",		"WT_Town",					200, 100, 1000, 1000, false, false, 7, 7, 1, 1 ),
		},
	},
	wii =
	{
		ScratchHeapTargetSize = 100.0,
		ScratchHeapMinLargestFreeBlockSize = 0.0,
		TextureHeapTargetSize = 100.0,
		TextureHeapMinLargestFreeBlockSize = 0.0,
		AreaStackLoadedActorMaxDepth = 2,
		TypeWeights =
		{
			-- IMPORTANT! when the above target sizes are exceeded, the system will
			-- attempt to unload actors in the order they are added below. -dmh.
			AddActorType( "Mod_MiniUFO",		"WT_Town",					200, 100, 100, 0, false, false, 2, 1, 1, 1 ),
			AddActorType( "WT_Slime",			"WT_Town",					500, 100, 500, 0, true, true, 2, 1, 1, 1 ),

			AddActorType( "MG_Any",				"WT_Town",					1500, 1500, 500, 500, false, false, 4, 2, 1, 1 ),

			AddActorType( "WT_Bullseye",		"WT_Town",					1000, 100, 500, 200, false, false, 3, 1, 1, 1 ),
			AddActorType( "WT_Dragon",			"WT_Town",					1000, 100, 500, 200, false, false, 3, 1, 1, 1 ),

			AddActorType( "WT_SlimeSpawner",	"WT_Town",					200, 100, 200, 200, false, false, 2, 1, 1, 1 ),
			AddActorType( "WT_Cow",				"WT_Town",					1000, 100, 400, 200, false, false, 2, 1, 1, 1 ),
			AddActorType( "WT_TownPerson",		"WT_Town",					1000, 100, 200, 200, false, false, 2, 1, 1, 1 ),
		},
	},
}
