MissionLogData = MissionLogDataDefault

function MissionLogDataHelper_GenerateSortedMissionsList()
	if MissionLogData == nil then
		return
	end

	local sortCategories =
	{
		{
			ListName = 'AllMissions',
			Type = 'Mission',
			State = 'ALL',
		},
		{
			ListName = 'ActiveMissions',
			Type = 'Mission',
			State = 'ACTIVE',
		},
		{
			ListName = 'ActivitiesMissions',
			Type = 'Activity',
			State = '',
		},
		{
			ListName = 'AlertMissions',
			Type = 'Alert',
			State = '',
		},
		{
			ListName = 'AvailableMissions',
			Type = 'Mission',
			State = 'AVAILABLE',
		},
		{
			ListName = 'CompletedMissions',
			Type = 'Mission',
			State = 'COMPLETED',
		},
		{
			ListName = 'GoldStarMissions',
			Type = 'GoldStar',
			State = '',
		},
		{
			ListName = 'LockedMissions',
			Type = 'Mission',
			State = 'LOCKED',
		},
	}

	local presentationData = {}
	local presentationDataMissingDevonKeys = {}

	for k,v in ipairs( sortCategories ) do
		local curMissionTable = {}

		for kMission, vMission in pairs( MissionLogData.MissionData ) do
			local isValidForList = true
			if vMission.Type ~= v.Type then

				if v.Type == 'GoldStar' then
					if vMission.HasGoldStar == false then
						isValidForList = false
					end
				else
					isValidForList = false
				end
			end
			if v.State ~= '' then
				if vMission.State ~= v.State then
					isValidForList = false
				end
			end

			if v.State == "AVAILABLE" and vMission.State == "AVAILABLE" and vMission.Type ~= "Activity" then
				isValidForList = vMission.IsSelectable
			end

			if v.State == 'ALL' then
				isValidForList = true
			end

			if isValidForList then
--				local sortName = vMission.NameTranslated
--				if v.Type == 'GoldStar' and vMission.HasGoldStar then
--					sortName = vMission.GoldStarName
--				end
--				if vMission.Name ~= 'System_FindActiveMissionGivers' then
--					sortName = '_'..sortName
--				end
--				curMissionTable[sortName] = kMission
				if curMissionTable[vMission.NameTranslated] == nil then
					curMissionTable[vMission.NameTranslated] = kMission
				elseif vMission.ProgressData ~= nil then
					curMissionTable[vMission.NameTranslated] = kMission
				end
			end
		end

		table.sort(curMissionTable)
		MissionLogData.SortedLists[v.ListName] = curMissionTable
	end
end

MissionLogDataHelper_GenerateSortedMissionsList()
