-- heap definitions are defined as: <NAME>, <PARENT_HEAP>, <SIZE(MB)>, <AUTOSMALL>, <OVERFLOW_HEAP>

function AddHeap( name, parentHeap, sizeMB, autoSmall, overflowHeapName )
	local data =
	{
		HeapType = "Single",
		Data =
		{
			Name = name,
			ParentHeap = parentHeap,
			SizeMB = sizeMB,
			AutoSmall = autoSmall,
			OverflowHeapName = overflowHeapName,
		},
	}

	return data
end

function AddHeapArray( name, childNameRoot, parentHeap, sizeMB, count, autoSmall, overflowHeapName )
	local data =
	{
		HeapType = "Array",
		Data =
		{
			Name = name,
			ChildNameRoot = childNameRoot,
			ParentHeap = parentHeap,
			SizeMB = sizeMB,
			Count = count,
			ParentBuffer = 0.1,
			AutoSmall = autoSmall,
			OverflowHeapName = overflowHeapName,
		},
	}

	return data
end


Heaps =
{
	default =
	{
		{
			LevelName = "Global",
			Heaps =
			{
			},
		},
		{
			LevelName = "Default",
			Heaps = {},
		},
		{
			LevelName = "WesternTown",
			Heaps =
			{
--				AddHeap( "PerformanceManager", "Default", 35.0, 256, "Default" ),
--				AddHeap( "SharedTextures", "Default", 3.0, 0, "Default" ),
-- --				AddHeapArray( "Vehicles", "Vehicles", "Default", 1.0, 1, 256, "Default" ),
--				AddHeapArray( "Buildings", "B", "Default", 1.5, 8, 256, "Default" ),
--				AddHeapArray( "NPCs", "NPC", "Default", 1.5, 6, 256, "Default" ),
-- --				AddHeapArray( "MissionGivers", "MG", "Default", 2.5, 4, 256, "Default" ),
-- --				AddHeapArray( "Ambients", "Amb", "Default", 0.75, 8, 256, "Default" ),
			},
		},
	},
	xb360 =
	{
		{
			LevelName = "Global",
			Heaps =
			{
			},
		},
		{
			LevelName = "Default",
			Heaps = {},
		},
		{
			LevelName = "WesternTown",
			Heaps =
			{
--				AddHeap( "PerformanceManager", "Default", 20.0, 256, "Default" ),
--				AddHeap( "SharedTextures", "Default", 3.0, 0, "Default" ),
-- --				AddHeapArray( "Vehicles", "Vehicles", "Default", 1.0, 1, 256, "Default" ),
--				AddHeapArray( "Buildings", "B", "Default", 1.5, 8, 256, "Default" ),
-- 				AddHeapArray( "NPCs", "NPC", "Default", 1.5, 6, 256, "Default" ),
-- --				AddHeapArray( "MissionGivers", "MG", "Default", 2.5, 4, 256, "Default" ),
-- --				AddHeapArray( "Ambients", "Amb", "Default", 0.75, 8, 256, "Default" ),
			},
		},
	},
	ps3 =
	{
		{
			LevelName = "Global",
			Heaps =
			{
			},
		},
		{
			LevelName = "Default",
			Heaps = {},
		},
		{
			LevelName = "WesternTown",
			Heaps =
			{
				-- on ps3, geometry and textures go into rsx memory, so we don't need as large a PerformanceManager heap,
				-- though we still need a sizable one, it mainly holds scene graph nodes as far as i can tell
--				AddHeap( "PerformanceManager", "Default", 9.0, 256, "Default" ),
--				AddHeap( "SharedTextures", "Default", 3.0, 0, "Default" ),
-- --				AddHeapArray( "Vehicles", "Vehicles", "Default", 1.0, 1, 256, "Default" ),
-- 				AddHeapArray( "Buildings", "B", "Default", 1.5, 8, 256, "Default" ),
-- 				AddHeapArray( "NPCs", "NPC", "Default", 1.5, 6, 256, "Default" ),
-- --				AddHeapArray( "MissionGivers", "MG", "Default", 2.5, 4, 256, "Default" ),
-- --				AddHeapArray( "Ambients", "Amb", "Default", 0.75, 8, 256, "Default" ),
			},
		},
	},
	wii =
	{
		{
			LevelName = "Global",
			Heaps = {},
		},
		{
			LevelName = "Default",
			Heaps = {},
		},
		{
			LevelName = "WesternTown",
			Heaps =
			{
			},
		},
	},
}